From ca431543d51e0630ba5b8f846ab23888ec7dc499 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sat, 28 Nov 2020 17:00:40 -0600
Subject: [PATCH 2/4] Fix short options with double quotes

---
 src/bin/pg_dump/pg_dump.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index 96acb8a1d5..990f890ff4 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -19000,6 +19000,7 @@ read_options_from_file(char *filename,
 			/* process short option */
 			optname = str++;
 			optnamelen = 1;
+			opt = *optname;
 
 			/* skip optional spaces */
 			while (isspace(*str))
@@ -19035,8 +19036,6 @@ read_options_from_file(char *filename,
 											optname, optnamelen,
 											line.data,
 											lineno);
-
-			opt = *optname;
 		}
 
 		if (opt != 0 &&
-- 
2.17.0

